"""
WebDebug constants and helper methods


WebDebug is a web development proxy server that captures and displays HTTP
requests and responses.
Copyright (C) 1999  Paul Clip.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""

### IMPORTS

import string


### CONSTANTS

# The prefix by which URL commands to WebDebug are recognized
WD_PREFIX = "/WEBDEBUG/"

TRUE = 1
YES = 1
FALSE = 0
NO = 0

# The current version WebDebug number
VERSION_NUMBER = 1.1

REQUEST = "request"
RESPONSE = "response"

# MessageList sort order constants
CURRENT_SORT_ORDER = "CURRENT"
REQUEST_SORT_ORDER = "REQUEST"
RESPONSE_SORT_ORDER = "RESPONSE"
SOCKET_SORT_ORDER = "SOCKET"

# The separator for the toSpreadsheet() calls
SEPARATOR = "\t"

### Functions

def startsWith(str, snippet):
	""" returns TRUE when str starts with snippet """
	if string.find(str, snippet) == 0:
		return TRUE
	else:
		return FALSE
